mp3splt-gtk

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
splt_tags Struct Reference

`#include <mp3splt.h>`

Collaboration diagram for splt_tags:
[legend]

## Data Fields

char * | album
char * | artist
char * | comment
char * | genre
char * | performer
int | set_original_tags
int | tags_version
char * | title
int | track
char * | year

## Detailed Description

The tags of a splitpoint.

The structure contains the tags that we can set to a filename generated from a splitpoint. Tags may also define the output filenames.

See Also
  mp3splt_append_tags
  mp3splt_get_tags

Definition at line 209 of file mp3splt.h.

## Field Documentation

char* splt_tags::album

The album.

Definition at line 221 of file mp3splt.h.

char* splt_tags::artist

The artist.

Definition at line 217 of file mp3splt.h.

char* splt_tags::comment

A comment.

Definition at line 237 of file mp3splt.h.

char* splt_tags::genre

The genre.

Definition at line 245 of file mp3splt.h.

char* splt_tags::performer

The performer.

The performer is not part of the tags, but may replace the artist in some cases and it is useful for the output filenames
You can also look at #SPLT_OPT_OUTPUT_DEFAULT

Definition at line 229 of file mp3splt.h.

char* splt_tags::title

The title.

Definition at line 213 of file mp3splt.h.

int splt_tags::track

The track number.

Definition at line 241 of file mp3splt.h.

char* splt_tags::year

The year.

Definition at line 233 of file mp3splt.h.

The documentation for this struct was generated from the following file:

- mp3splt.h